Обновление прошивки Logitech Harmony Hub отключает локальный доступ к IoT-устройствам

0

Как пояснил производитель, пострадавшие пользователи столкнулись с «побочным эффектом» после исправления уязвимостей.

Некоторые владельцы хабов для «умного» дома Logitech Harmony Hub столкнулись с неприятным сюрпризом после обновления прошивки. Как оказалось, обновление 4.15.206 отключает возможность локального доступа на Harmony Hub. В результате многие пользователи, настроившие домашние системы автоматизации с помощью сторонних API, потеряли возможность управления некоторыми, а в ряде случаев и всеми, подключенными IoT-устройствами.

Релиз новой версии прошивки состоялся на минувшей неделе, согласно описанию производителя, обновление устраняет ряд уязвимостей в продукте. Однако вскоре после выпуска форум Logitech наводнили сообщения пользователей, пожаловавшихся на то, что после обновления система перестала реагировать. В частности, владельцы хабов, использовавшие API Homeseer и Home Assistant, сообщали о неполадках в работе некоторых частей систем, в результате они не могли управлять смарт-телевизорами, акустическими системами и другими устройствами с помощью Harmony Hub.

На этой неделе Logitech опубликовала заявление, в котором пояснила, что сторонние API никогда официально не поддерживались, а пострадавшие пользователи столкнулись с «побочным эффектом» после исправления уязвимостей. По словам представителей компании, одна из проблем заключалась в реализации небезопасного интерфейса XMPP, который никогда не предназначался для использования сторонними API. В целях усиления защиты Harmony Hub производитель удалил данный интерфейс. При этом компания не предоставила возможность откатиться до предыдущей версии прошивки и порекомендовала пользователям «не препятствовать автоматическому обновлению».